> ## Documentation Index
> Fetch the complete documentation index at: https://docs.screenframed.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create project

` POST /v1/projects `

Create project

## Servers

- ` https://screenframed.com ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` bearerAuth `: ` http `

  - HTTP scheme: ` bearer `

  - ScreenFramed API key, such as `sf_live_...`.

## Request body (required)

Content type: ` application/json `

- ` value `: type ` object `

  - ` name `: type ` string `

  - ` domain `: type ` string `

  - ` make_default `: type ` boolean `

  - ` start_brand_extract `: type ` boolean `

    - default: ` true `

## Responses

### ` 201 ` — Project created

Content type: ` application/json `

- ` value `: type ` object `

  - ` project `: type ` object `

    - ` id `: type ` string `

      - pattern: ` "^prj_" `

    - ` name `: type ` string `

    - ` domain `: type ` string `; nullable

    - ` brand `: type ` object `; nullable

    - ` brand_status `: type ` string `

      - enum: ` ["none","pending","processing","completed","failed","skipped"] `

    - ` brand_error `: type ` string `; nullable

    - ` is_default `: type ` boolean `

    - ` created_at `: type ` string `

    - ` updated_at `: type ` string `

  - ` signing_secret `: type ` string `

### ` 400 ` — Error response

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` object `

    - Required fields: ` code `, ` message `

    - ` code `: type ` string `

    - ` message `: type ` string `

    - ` details `: type ` object `

    - ` retry_after `: type ` integer `

### ` 401 ` — Error response

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` object `

    - Required fields: ` code `, ` message `

    - ` code `: type ` string `

    - ` message `: type ` string `

    - ` details `: type ` object `

    - ` retry_after `: type ` integer `

### ` 403 ` — Error response

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` object `

    - Required fields: ` code `, ` message `

    - ` code `: type ` string `

    - ` message `: type ` string `

    - ` details `: type ` object `

    - ` retry_after `: type ` integer `

### ` 409 ` — Error response

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` object `

    - Required fields: ` code `, ` message `

    - ` code `: type ` string `

    - ` message `: type ` string `

    - ` details `: type ` object `

    - ` retry_after `: type ` integer `

## Request examples

### cURL

```curl
curl -X POST 'https://screenframed.com/v1/projects' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "domain": "string",
  "make_default": true,
  "start_brand_extract": true
}'
```

### JavaScript

```javascript
const response = await fetch('https://screenframed.com/v1/projects', {
  method: 'POST',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN",
      "Content-Type": "application/json"
  },
  body: JSON.stringify({
    "name": "string",
    "domain": "string",
    "make_default": true,
    "start_brand_extract": true
  })
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.post('https://screenframed.com/v1/projects', headers=headers, json={
  "name": "string",
  "domain": "string",
  "make_default": true,
  "start_brand_extract": true
})
print(response.json())
```